Subject: RE: bug#25131: thwarted from copying what one sees in Info

From: Drew Adams <[email-masked]>
Date: Wed, 7 Dec 2016 15:21:13 -0800 (PST)

> > On the other hand, I disagree that we should add a special command
> > just for copying Info breadcrumbs.  A _general_ solution to the need
> > to copy displayed stuff (including overlays) should instead be sought.
> 
> What would be the UI, assuming we don't want the user to have to find
> out on her own that there's an overlay or a display property at some
> point?

I don't know.  We can think about that possibility.

But for this bug, I think just extending the existing command that
gives you the node name, by letting a prefix arg give it to you as
a full path (breadcrumbs - in whatever textual form), would be good.

Wrt knowing whether an overlay etc. present (e.g., whether some
displayed text is copiable from the buffer or is a display artifact):
That's a general UI problem.  Perhaps when a user tries to perform
some actions (e.g. copy text) a message should tell her that the
text is just for display etc.